Bug 192062 - [exp-run] ld(1) still links with some libraries implicitly
[exp-run] ld(1) still links with some libraries implicitly
Status: Closed FIXED
Product: Base System
Classification: Unclassified
Component: gnu
11.0-CURRENT
Any Any
: --- Affects Only Me
Assigned To: Tijl Coosemans
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-23 12:02 UTC by Tijl Coosemans
Modified: 2014-09-04 16:05 UTC (History)
3 users (show)

See Also:
tijl: exp‑run?


Attachments
binutils patch (2.01 KB, patch)
2014-07-23 12:02 UTC, Tijl Coosemans
no flags Details | Diff
pango patch (591 bytes, patch)
2014-07-23 12:06 UTC, Tijl Coosemans
no flags Details | Diff
binutils.ports (72.86 KB, patch)
2014-08-14 21:27 UTC, Tijl Coosemans
no flags Details | Diff
binutils.ports.2 (161.67 KB, patch)
2014-08-21 21:09 UTC, Tijl Coosemans
no flags Details | Diff
binutils.ports.3 (160.26 KB, patch)
2014-08-25 14:12 UTC, Tijl Coosemans
no flags Details | Diff
binutils.ports.4 (2.71 KB, patch)
2014-08-26 19:48 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tijl Coosemans freebsd_committer 2014-07-23 12:02:09 UTC
Created attachment 144908 [details]
binutils patch

In http://svnweb.freebsd.org/base?view=revision&revision=253839 the default behaviour of ld(1) was changed such that all libraries that need to be linked in have to be mentioned on the command line explicitly.  Due to a bug in ld(1) there are still cases where dependencies of the libraries mentioned on the command line can be linked in implicitly.  This happens when a dependency is found through the ld.so.hints cache and ld(1) forgets to mark the library as a dependency of another library.  The attached patch fixes this.  The important bit is the initialisation of needed.by.

The patch is a backport of https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;a=commit;f=ld/emultempl/elf32.em;h=d5c8b1f8561426b41aa5330ed60f578178fe6be2

The author gave permission to use it under GPLv2 terms.
Comment 1 Tijl Coosemans freebsd_committer 2014-07-23 12:04:31 UTC
Over to portmgr for exp-run.
Comment 2 Tijl Coosemans freebsd_committer 2014-07-23 12:06:32 UTC
Created attachment 144909 [details]
pango patch

Can you also include this patch for x11-toolkits/pango in the exp-run?
Comment 3 Antoine Brodin freebsd_committer 2014-07-23 12:26:21 UTC
Take for exp-run
Comment 4 Antoine Brodin freebsd_committer 2014-07-23 14:10:36 UTC
This was fast,  exp-run results:
http://package18.nyi.freebsd.org/build.html?mastername=head-amd64-PR192062-default&build=2014-07-23_13h46m39s
pkg failed to build
Comment 5 Tijl Coosemans freebsd_committer 2014-07-23 15:10:27 UTC
It seems to work with pkg 1.3 now, so you can just update the ports tree.
Comment 6 Antoine Brodin freebsd_committer 2014-07-24 12:35:34 UTC
Exp-run results:
http://package18.nyi.freebsd.org/build.html?mastername=head-amd64-PR192062-default&build=2014-07-23_15h12m36s

New build failures:

+ {"origin"=>"astro/gpsdrive", "pkgname"=>"gpsdrive-2.09_15", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"audio/adplay", "pkgname"=>"adplay-1.7_5", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"audio/cueplayer", "pkgname"=>"cueplayer-0.28_3", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"audio/dumb-allegro", "pkgname"=>"dumb-allegro-0.9.3_3", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"audio/esound", "pkgname"=>"esound-0.2.41_3", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"audio/gmpc", "pkgname"=>"gmpc-11.8.16_3,1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"audio/goobox", "pkgname"=>"goobox-2.2.0_4", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"audio/gqradio", "pkgname"=>"gqradio-1.9.2_11", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"audio/hydrogen", "pkgname"=>"hydrogen-0.9.5.1_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"audio/mixxx", "pkgname"=>"mixxx-1.11.0_6", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"audio/osd-lyrics", "pkgname"=>"osdlyrics-0.4.3_3", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"audio/raop_play", "pkgname"=>"raop_play-0.5.1_8", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"audio/ripperx", "pkgname"=>"ripperx-2.7.3_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"audio/shairport", "pkgname"=>"shairport-0.05_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"cad/klayout", "pkgname"=>"klayout-0.23.3", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"cad/openvsp", "pkgname"=>"openvsp-2.3.0_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"comms/libimobiledevice", "pkgname"=>"libimobiledevice-1.1.5", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"comms/usrp", "pkgname"=>"usrp-3.4.3_2", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"databases/mydumper", "pkgname"=>"mydumper-0.6.1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"deskutils/adesklets", "pkgname"=>"adesklets-0.6.1_9", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"deskutils/drivel", "pkgname"=>"drivel-3.0.5", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"deskutils/notecase", "pkgname"=>"notecase-1.9.8_10", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"devel/firmware-utils", "pkgname"=>"firmware-utils-20111222", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"devel/hadoop", "pkgname"=>"apache-hadoop-1.2.1_2", "phase"=>"build", "errortype"=>"configure_error"}
+ {"origin"=>"editors/codelite", "pkgname"=>"codelite-6.0.1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"emulators/jzintv", "pkgname"=>"jzintv-1.0b4_2", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"emulators/tilem", "pkgname"=>"tilem-2.0_3", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"finance/grisbi", "pkgname"=>"grisbi-1.0.0_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"finance/xtrader", "pkgname"=>"xtrader-0.99.9_8", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/airstrike", "pkgname"=>"airstrike-c7_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/asteroid", "pkgname"=>"asteroid-1.2.1_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/atanks", "pkgname"=>"atanks-5.9", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/belooted", "pkgname"=>"belooted-0.1.4.1_5", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/bitefusion", "pkgname"=>"bitefusion-1.0.2_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/blokish", "pkgname"=>"blokish-0.9.4_5", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/bomberclone", "pkgname"=>"bomberclone-0.11.9_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/bomns3", "pkgname"=>"bomns3-0.0.0", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/caph", "pkgname"=>"caph-1.1_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/construo", "pkgname"=>"construo-0.2.2_6", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/d2x-xl", "pkgname"=>"d2x-xl-1.14.121_7", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/defendguin", "pkgname"=>"defendguin-0.0.12_4", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/djgame2", "pkgname"=>"djgame2-3.2.0_3", "phase"=>"stage", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/egoboo", "pkgname"=>"egoboo-2.7.5_8,1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/gillo", "pkgname"=>"gillo-1.0.b1_5", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/gnurobbo", "pkgname"=>"gnurobbo-0.66_2", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/goonies", "pkgname"=>"goonies-1.0.1_8", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/holotz-castle", "pkgname"=>"holotz-castle-1.3.14_2", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/liquidwar", "pkgname"=>"liquidwar-5.6.4_3", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/luola", "pkgname"=>"luola-1.3.2_3", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/meritous", "pkgname"=>"meritous-1.2_9", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/motogt", "pkgname"=>"motogt-20110505_3", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/naev", "pkgname"=>"naev-0.5.3_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/neverball", "pkgname"=>"neverball-1.5.4_8", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/noegnud-littlehack", "pkgname"=>"noegnud-littlehack-0.8.3_10", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/noegnud-nethack", "pkgname"=>"noegnud-nethack-0.8.3_10", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/noegnud-nethack-deet", "pkgname"=>"noegnud-nethack-deet-0.8.3_10", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/noegnud-slashem", "pkgname"=>"noegnud-slashem-0.8.3_10", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/nuclearchess", "pkgname"=>"nuclearchess-1.0.0_8", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/openjazz", "pkgname"=>"openjazz-20120819_2", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/pacmanarena", "pkgname"=>"pacmanarena-0.15_2", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/phlipple", "pkgname"=>"phlipple-0.8.5", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/powermanga", "pkgname"=>"powermanga-0.91_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/simplevaders", "pkgname"=>"simplevaders-0.8_7", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/thevalley", "pkgname"=>"thevalley-0.98_5", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/ufoai", "pkgname"=>"ufoai-2.4_3", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/viruskiller", "pkgname"=>"viruskiller-1.03_5", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/volleyball", "pkgname"=>"volleyball-0.8.6_10", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/vor", "pkgname"=>"vor-0.5.5_5", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"graphics/autopano-sift-c", "pkgname"=>"autopano-sift-C-2.5.1_4", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"graphics/cfdg", "pkgname"=>"cfdg-2.2.2_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"graphics/exiftran", "pkgname"=>"exiftran-2.09_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"graphics/gimageview", "pkgname"=>"gimageview-0.2.27_14", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"graphics/gimp-wavelet-denoise-plugin", "pkgname"=>"gimp-wavelet-denoise-plugin-0.3.1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"graphics/gimp-wavelet-sharpen-plugin", "pkgname"=>"gimp-wavelet-sharpen-plugin-0.1.2", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"graphics/giram", "pkgname"=>"giram-0.3.5_17", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"graphics/gpaint", "pkgname"=>"gpaint-0.3.3_5", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"graphics/gqview", "pkgname"=>"gqview-2.0.4_13", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"graphics/inventor", "pkgname"=>"inventor-2.1.5.p10_9", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"graphics/klatexformula", "pkgname"=>"klatexformula-3.2.8", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"graphics/kudu", "pkgname"=>"kudu-0.1.2_8", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"graphics/lprof-devel", "pkgname"=>"lprof-devel-20080514_10", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"graphics/nomacs", "pkgname"=>"nomacs-1.6.4_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"graphics/panoglview", "pkgname"=>"panoglview-0.2.2_2", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"graphics/reallyslick", "pkgname"=>"reallyslick-0.9.1_12", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"graphics/separate", "pkgname"=>"separate-0.5.8_2,1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"graphics/tif22pnm", "pkgname"=>"tif22pnm-0.14", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"graphics/vp", "pkgname"=>"vp-1.8", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"graphics/xzgv", "pkgname"=>"xzgv-0.9_2", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"japanese/im-ja", "pkgname"=>"ja-im-ja-1.5_10", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"lang/cduce", "pkgname"=>"cduce-0.6.0_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"mail/deforaos-mailer", "pkgname"=>"deforaos-mailer-0.1.6_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"math/calcoo", "pkgname"=>"calcoo-1.3.18_6", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"math/goblin", "pkgname"=>"goblin-2.8.b30", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"math/qtiplot", "pkgname"=>"qtiplot-0.9.8.9_6", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"misc/wmcalendar", "pkgname"=>"wmcalendar-0.5.2_14", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"multimedia/ffmpeg2theora", "pkgname"=>"ffmpeg2theora-0.29", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"multimedia/gavl", "pkgname"=>"gavl-1.4.0_2", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"multimedia/imagination", "pkgname"=>"imagination-3.0_3", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"multimedia/mpeg4ip", "pkgname"=>"mpeg4ip-1.6.1_28", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"multimedia/sabbu", "pkgname"=>"sabbu-0.3.0_14", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"multimedia/tvheadend", "pkgname"=>"tvheadend-3.4.0.20130726.3_5", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"net-im/hotot", "pkgname"=>"hotot-0.9.8.14_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"net-im/imspector", "pkgname"=>"imspector-20111108_2", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"net-p2p/createtorrent", "pkgname"=>"createtorrent-1.1.4", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"net-p2p/gtorrentviewer", "pkgname"=>"gtorrentviewer-0.2b_17", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"net-p2p/libbt", "pkgname"=>"libbt-1.05_4", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"net-p2p/retroshare", "pkgname"=>"retroshare-0.5.5c_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"net-p2p/transmission-cli", "pkgname"=>"transmission-cli-2.84", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"net-p2p/transmission-daemon", "pkgname"=>"transmission-daemon-2.84", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"net-p2p/transmission-gtk", "pkgname"=>"transmission-gtk-2.84", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"net/omnitty", "pkgname"=>"omnitty-0.3.0_2", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"net/openvswitch", "pkgname"=>"openvswitch-1.7.1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"net/packter-agent", "pkgname"=>"packter-agent-2.5_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"net/tshark", "pkgname"=>"tshark-1.10.8_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"net/tshark-lite", "pkgname"=>"tshark-lite-1.10.8_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"net/udt", "pkgname"=>"udt-4.11_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"net/vortex", "pkgname"=>"vortex-2.9.0.59_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"net/wireshark", "pkgname"=>"wireshark-1.10.8_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"net/wireshark-lite", "pkgname"=>"wireshark-lite-1.10.8_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"ports-mgmt/fbsdmon", "pkgname"=>"fbsdmon-1.00_4", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"print/libharu", "pkgname"=>"libharu-2.3.0", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"science/g3data", "pkgname"=>"g3data-1.5.3_5", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"science/gsmc", "pkgname"=>"gsmc-1.1_4", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"science/medit", "pkgname"=>"medit-2012.02.05_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"security/opensc", "pkgname"=>"opensc-0.14.0", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"security/pkcs11-dump", "pkgname"=>"pkcs11-dump-0.3.4", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"security/scannedonly", "pkgname"=>"scannedonly-0.21", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"security/tpm-tools", "pkgname"=>"tpm-tools-1.3.5_3", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"sysutils/deltup", "pkgname"=>"deltup-0.4.4_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"sysutils/fusefs-encfs", "pkgname"=>"fusefs-encfs-1.7.4_6", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"sysutils/fusefs-rar2fs", "pkgname"=>"fusefs-rar2fs-1.15.1_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"sysutils/gnome-system-tools", "pkgname"=>"gnome-system-tools-2.32.0_2", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"sysutils/ldapvi", "pkgname"=>"ldapvi-1.7_3", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"sysutils/pcbsd-utils-qt4", "pkgname"=>"pcbsd-utils-qt4-1394538598", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"textproc/fldiff", "pkgname"=>"fldiff-1.1_8", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"textproc/goldendict", "pkgname"=>"goldendict-1.0.1_7", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"textproc/refdb", "pkgname"=>"refdb-0.9.9_5", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"www/blastbeat", "pkgname"=>"blastbeat-20121205_2", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"x11-fm/rox-filer", "pkgname"=>"rox-filer-2.11_2", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"x11-toolkits/gtkglarea2", "pkgname"=>"gtkglarea-2.0.1_5", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"x11-wm/emerald", "pkgname"=>"emerald-0.8.8", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"x11/fbpanel", "pkgname"=>"fbpanel-6.1_4", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"x11/sisctrl", "pkgname"=>"sisctrl-0.0.20051202_7", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
Comment 7 commit-hook freebsd_committer 2014-08-10 19:51:12 UTC
A commit references this bug:

Author: tijl
Date: Sun Aug 10 19:50:29 UTC 2014
New revision: 364564
URL: http://svnweb.freebsd.org/changeset/ports/364564

Log:
  Fix problems with missing libs when the linker enforces explicit linking
  (a* to d* categories)

  PR:		192062

Changes:
  head/astro/gpsdrive/Makefile
  head/audio/adplay/Makefile
  head/audio/cueplayer/Makefile
  head/audio/dumb/Makefile
  head/audio/esound/Makefile
  head/audio/gmpc/Makefile
  head/audio/goobox/Makefile
  head/audio/gqradio/Makefile
  head/audio/hydrogen/Makefile
  head/audio/hydrogen/files/patch-Sconstruct
  head/audio/mixxx/files/patch-build__depends.py
  head/audio/osd-lyrics/Makefile
  head/audio/raop_play/Makefile
  head/audio/ripperx/Makefile
  head/audio/shairport/Makefile
  head/cad/klayout/files/patch-config-Makefile.conf
  head/cad/openvsp/files/patch-vsp-CMakeLists.txt
  head/comms/libimobiledevice/Makefile
  head/comms/libimobiledevice/files/patch-configure
  head/comms/usrp/files/patch-host_examples_CMakeLists.txt
  head/databases/mydumper/Makefile
  head/deskutils/drivel/Makefile
  head/deskutils/notecase/Makefile
  head/deskutils/notecase/files/patch-Makefile
  head/devel/firmware-utils/files/Makefile
  head/devel/hadoop/Makefile
Comment 8 commit-hook freebsd_committer 2014-08-12 15:30:36 UTC
A commit references this bug:

Author: tijl
Date: Tue Aug 12 15:29:40 UTC 2014
New revision: 364712
URL: http://svnweb.freebsd.org/changeset/ports/364712

Log:
  Fix problems with missing libs when the linker enforces explicit linking
  (ports that are dependencies of other ports)

  net-p2p/transmission-cli: add USES=libtool and remove PTHREAD_LIBS
  sysutils/deltup: simplify patch by using MAKE_ARGS
  x11-fm/rox-filer: convert to USES=shared-mime-info
  x11-wm/emerald: remove PTHREAD_LIBS

  PR:		192062

Changes:
  head/graphics/autopano-sift-c/Makefile
  head/graphics/tif22pnm/Makefile
  head/mail/deforaos-mailer/Makefile
  head/multimedia/gavl/Makefile
  head/net-p2p/transmission-cli/Makefile
  head/print/libharu/Makefile
  head/print/libharu/files/patch-demo_CMakeLists.txt
  head/sysutils/deltup/Makefile
  head/sysutils/deltup/files/patch-Makefile
  head/x11-fm/rox-filer/Makefile
  head/x11-fm/rox-filer/pkg-plist
  head/x11-toolkits/gtkglarea2/Makefile
  head/x11-wm/emerald/Makefile
Comment 9 Tijl Coosemans freebsd_committer 2014-08-14 21:27:55 UTC
Created attachment 145791 [details]
binutils.ports

New ports patch.  It should fix the error from the previous exp-run except ports that haven't been staged yet.  This patch also removes --enable-explicit-deps from x11-toolkits/gtk20 so there'll be new cases.
Comment 10 Antoine Brodin freebsd_committer 2014-08-18 21:56:02 UTC
Exp-run results:
http://package18.nyi.freebsd.org/build.html?mastername=head-amd64-PR192062-default&build=2014-08-17_22h39m25s

I will provide the new failures once the baseline is finished tomorrow.
Searching for "missing_LDFLAGS" in the failures is a good start.
Comment 11 Antoine Brodin freebsd_committer 2014-08-19 10:54:06 UTC
New failures:

+ {"origin"=>"accessibility/gnopernicus", "pkgname"=>"gnopernicus-1.1.2_11", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"audio/gqradio", "pkgname"=>"gqradio-1.9.2_11", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"audio/jack-rack", "pkgname"=>"jack-rack-1.4.7_7", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"audio/padevchooser", "pkgname"=>"padevchooser-0.9.3_6", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"comms/kb", "pkgname"=>"kb-8.04_8", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"deskutils/adesklets", "pkgname"=>"adesklets-0.6.1_9", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"deskutils/fusenshi", "pkgname"=>"fusenshi-0.9.0_12", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"deskutils/glabels", "pkgname"=>"glabels-2.2.8_4", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"deskutils/gnome-main-menu", "pkgname"=>"gnome-main-menu-0.9.12_8", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"deskutils/gtimer", "pkgname"=>"gtimer-2.0.0_2", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"deskutils/mdh", "pkgname"=>"mdh-1.9.60_6", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"deskutils/multisync", "pkgname"=>"multisync-0.82_12", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"deskutils/notecase", "pkgname"=>"notecase-1.9.8_10", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"deskutils/notify-osd", "pkgname"=>"notify-osd-0.9.29_7", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"deskutils/xfce4-notification-daemon", "pkgname"=>"xfce4-notification-daemon-0.3.7_20", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"editors/ghex", "pkgname"=>"ghex-2.24.0_6", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"editors/madedit", "pkgname"=>"madedit-0.2.9_10", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"ftp/pureadmin", "pkgname"=>"pureadmin-0.4_6", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/belooted", "pkgname"=>"belooted-0.1.4.1_6", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/bitefusion", "pkgname"=>"bitefusion-1.0.2_1", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/blokish", "pkgname"=>"blokish-0.9.4_5", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/bomns3", "pkgname"=>"bomns3-0.0.0", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/construo", "pkgname"=>"construo-0.2.2_6", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"games/d2x-xl", "pkgname"=>"d2x-xl-1.14.121_7", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/djgame2", "pkgname"=>"djgame2-3.2.0_3", "phase"=>"stage", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/frogatto", "pkgname"=>"frogatto-1.3.1_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/gillo", "pkgname"=>"gillo-1.0.b1_5", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/gnomebreakout", "pkgname"=>"gnomebreakout-0.5.3_12", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/lianliankan", "pkgname"=>"lianliankan-2.3.b1_7", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/lucidlife", "pkgname"=>"lucidlife-0.9.2_4", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/macopix", "pkgname"=>"macopix-1.7.4_9", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/monkeybubble", "pkgname"=>"monkeybubble-0.4.0_6", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/nuclearchess", "pkgname"=>"nuclearchess-1.0.0_8", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/ufoai", "pkgname"=>"ufoai-2.4_3", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/volleyball", "pkgname"=>"volleyball-0.8.6_10", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/wargus", "pkgname"=>"wargus-2.2.5.5_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"graphics/cinepaint", "pkgname"=>"cinepaint-1.0.4_5", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"graphics/giram", "pkgname"=>"giram-0.3.5_18", "phase"=>"build", "errortype"=>"makefile"}
+ {"origin"=>"graphics/inventor", "pkgname"=>"inventor-2.1.5.p10_9", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"graphics/klatexformula", "pkgname"=>"klatexformula-3.2.8", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/panoglview", "pkgname"=>"panoglview-0.2.2_2", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"graphics/pornview", "pkgname"=>"pornview-0.2.0.p.1_28", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"graphics/rgbpaint", "pkgname"=>"rgbpaint-0.8.7_7", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"graphics/separate", "pkgname"=>"separate-0.5.8_3,1", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/xzgv", "pkgname"=>"xzgv-0.9_2", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"japanese/im-ja", "pkgname"=>"ja-im-ja-1.5_11", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"korean/gtkcomm", "pkgname"=>"ko-gtkcomm-0.8.1_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"mail/deforaos-mailer", "pkgname"=>"deforaos-mailer-0.1.6_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"mail/gnubiff", "pkgname"=>"gnubiff-2.2.13_4", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"mail/mail-notification", "pkgname"=>"mail-notification-5.4_14", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"misc/wmcalendar", "pkgname"=>"wmcalendar-0.5.2_14", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"multimedia/aegisub", "pkgname"=>"aegisub-3.2.0", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"multimedia/ffmpeg2theora", "pkgname"=>"ffmpeg2theora-0.29", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"multimedia/gmerlin", "pkgname"=>"gmerlin-1.2.0_5", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"net-im/vqcc-gtk", "pkgname"=>"vqcc-gtk-0.5_8", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"net-im/zephyr", "pkgname"=>"zephyr-3.0.1_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"net-p2p/retroshare", "pkgname"=>"retroshare-0.5.5c_3", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"net-p2p/transmission-qt4", "pkgname"=>"transmission-qt4-2.84", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"net/gnome-netstatus", "pkgname"=>"gnome-netstatus-2.28.2_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"polish/tleenx2", "pkgname"=>"pl-tleenx2-20040214_10", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"print/ggv", "pkgname"=>"ggv-2.12.0_9", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"print/gnome-cups-manager", "pkgname"=>"gnome-cups-manager-0.31_15,1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"print/photoprint", "pkgname"=>"photoprint-0.4.2.p2_3", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"print/xfce4-print", "pkgname"=>"xfce4-print-4.6.1_12", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"science/chemtool", "pkgname"=>"chemtool-1.6.11_4", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"science/chemtool-devel", "pkgname"=>"chemtool-devel-1.7.20050716_7", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"science/g3data", "pkgname"=>"g3data-1.5.3_5", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"security/gnome-gpg", "pkgname"=>"gnome-gpg-0.5.0_8", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"security/rainbowcrack", "pkgname"=>"rainbowcrack-1.2", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"security/scannedonly", "pkgname"=>"scannedonly-0.21", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"sysutils/battfink", "pkgname"=>"battfink-0.6.2_14", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"sysutils/gapcmon", "pkgname"=>"gapcmon-0.8.9_4", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"sysutils/gnome-system-tools", "pkgname"=>"gnome-system-tools-2.32.0_3", "phase"=>"build", "errortype"=>"makefile"}
+ {"origin"=>"sysutils/gtk-imonc", "pkgname"=>"gtk-imonc-0.6.4.1_15", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"sysutils/libgksu", "pkgname"=>"libgksu-2.0.12_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"sysutils/nitrogen", "pkgname"=>"nitrogen-1.5.2_5", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"sysutils/nvclock", "pkgname"=>"nvclock-0.8.b4_6", "phase"=>"package", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"sysutils/tracker-gnome", "pkgname"=>"tracker-gnome-0.6.95_22", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"sysutils/xvidcap", "pkgname"=>"xvidcap-1.1.7_1,1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"textproc/refdb", "pkgname"=>"refdb-0.9.9_5", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"www/gurlchecker", "pkgname"=>"gurlchecker-0.10.1_22", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"www/surf", "pkgname"=>"surf-browser-0.6", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"x11-toolkits/gal2", "pkgname"=>"gal2-2.5.3_12", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"x11-wm/devilspie", "pkgname"=>"devilspie-0.22_6", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"x11-wm/gcompmgr", "pkgname"=>"gcompmgr-0.21_8", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"x11/alltray", "pkgname"=>"alltray-0.70_5", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"x11/bbrun", "pkgname"=>"bbrun-1.6_12", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"x11/brightside", "pkgname"=>"brightside-1.4.0_10", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"x11/fbpanel", "pkgname"=>"fbpanel-6.1_4", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"x11/gnome-applets", "pkgname"=>"gnome-applets-2.32.1.1_6", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"x11/gnome-clipboard-daemon", "pkgname"=>"gnome-clipboard-daemon-1.0_11", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"x11/gnome-swallow", "pkgname"=>"gnome-swallow-1.2_11", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"x11/gromit", "pkgname"=>"gromit-20041213_7", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"x11/sbxkb", "pkgname"=>"sbxkb-0.7.6", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"x11/simdock", "pkgname"=>"simdock-1.2_6", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"x11/stjerm", "pkgname"=>"stjerm-0.16", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"x11/wmcliphist", "pkgname"=>"wmcliphist-1.0_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
Comment 12 Tijl Coosemans freebsd_committer 2014-08-21 21:09:57 UTC
Created attachment 146130 [details]
binutils.ports.2

New ports fixes (skipping unstaged ports).
Comment 13 Antoine Brodin freebsd_committer 2014-08-23 09:18:20 UTC
Exp-run results:  http://package18.nyi.freebsd.org/build.html?mastername=head-amd64-PR192062-default&build=2014-08-22_05h22m37s

23 new failures:

+ {"origin"=>"deskutils/adesklets", "pkgname"=>"adesklets-0.6.1_9", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"deskutils/multisync-backup", "pkgname"=>"multisync-backup-0.82_12", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"deskutils/multisync-syncml", "pkgname"=>"multisync-syncml-0.82_12", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"editors/madedit", "pkgname"=>"madedit-0.2.9_10", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/bomns3", "pkgname"=>"bomns3-0.0.0", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/djgame2", "pkgname"=>"djgame2-3.2.0_3", "phase"=>"stage", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/gillo", "pkgname"=>"gillo-1.0.b1_5", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/ufoai", "pkgname"=>"ufoai-2.4_3", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"graphics/inventor", "pkgname"=>"inventor-2.1.5.p10_9", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"japanese/im-ja", "pkgname"=>"ja-im-ja-1.5_11", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"multimedia/gmerlin", "pkgname"=>"gmerlin-1.2.0_5", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"multimedia/tvheadend", "pkgname"=>"tvheadend-3.9.20140806", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"net-p2p/retroshare", "pkgname"=>"retroshare-0.5.5c_3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"polish/tleenx2", "pkgname"=>"pl-tleenx2-20040214_10", "phase"=>"build", "errortype"=>"makefile"}
+ {"origin"=>"print/ggv", "pkgname"=>"ggv-2.12.0_9", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"science/g3data", "pkgname"=>"g3data-1.5.3_5", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"security/scannedonly", "pkgname"=>"scannedonly-0.21", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"sysutils/battfink", "pkgname"=>"battfink-0.6.2_14", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"sysutils/libgksu", "pkgname"=>"libgksu-2.0.12_1", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"textproc/refdb", "pkgname"=>"refdb-0.9.9_5", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"x11-toolkits/gal2", "pkgname"=>"gal2-2.5.3_12", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"x11/bbrun", "pkgname"=>"bbrun-1.6_12", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"x11/gnome-applets", "pkgname"=>"gnome-applets-2.32.1.1_6", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}

Failure logs:

http://package18.nyi.freebsd.org/data/head-amd64-PR192062-default/2014-08-22_05h22m37s/logs/errors/adesklets-0.6.1_9.log
http://package18.nyi.freebsd.org/data/head-amd64-PR192062-default/2014-08-22_05h22m37s/logs/errors/multisync-backup-0.82_12.log
http://package18.nyi.freebsd.org/data/head-amd64-PR192062-default/2014-08-22_05h22m37s/logs/errors/multisync-syncml-0.82_12.log
http://package18.nyi.freebsd.org/data/head-amd64-PR192062-default/2014-08-22_05h22m37s/logs/errors/madedit-0.2.9_10.log
http://package18.nyi.freebsd.org/data/head-amd64-PR192062-default/2014-08-22_05h22m37s/logs/errors/bomns3-0.0.0.log
http://package18.nyi.freebsd.org/data/head-amd64-PR192062-default/2014-08-22_05h22m37s/logs/errors/djgame2-3.2.0_3.log
http://package18.nyi.freebsd.org/data/head-amd64-PR192062-default/2014-08-22_05h22m37s/logs/errors/gillo-1.0.b1_5.log
http://package18.nyi.freebsd.org/data/head-amd64-PR192062-default/2014-08-22_05h22m37s/logs/errors/ufoai-2.4_3.log
http://package18.nyi.freebsd.org/data/head-amd64-PR192062-default/2014-08-22_05h22m37s/logs/errors/inventor-2.1.5.p10_9.log
http://package18.nyi.freebsd.org/data/head-amd64-PR192062-default/2014-08-22_05h22m37s/logs/errors/ja-im-ja-1.5_11.log
http://package18.nyi.freebsd.org/data/head-amd64-PR192062-default/2014-08-22_05h22m37s/logs/errors/gmerlin-1.2.0_5.log
http://package18.nyi.freebsd.org/data/head-amd64-PR192062-default/2014-08-22_05h22m37s/logs/errors/tvheadend-3.9.20140806.log
http://package18.nyi.freebsd.org/data/head-amd64-PR192062-default/2014-08-22_05h22m37s/logs/errors/retroshare-0.5.5c_3.log
http://package18.nyi.freebsd.org/data/head-amd64-PR192062-default/2014-08-22_05h22m37s/logs/errors/pl-tleenx2-20040214_10.log
http://package18.nyi.freebsd.org/data/head-amd64-PR192062-default/2014-08-22_05h22m37s/logs/errors/ggv-2.12.0_9.log
http://package18.nyi.freebsd.org/data/head-amd64-PR192062-default/2014-08-22_05h22m37s/logs/errors/g3data-1.5.3_5.log
http://package18.nyi.freebsd.org/data/head-amd64-PR192062-default/2014-08-22_05h22m37s/logs/errors/scannedonly-0.21.log
http://package18.nyi.freebsd.org/data/head-amd64-PR192062-default/2014-08-22_05h22m37s/logs/errors/battfink-0.6.2_14.log
http://package18.nyi.freebsd.org/data/head-amd64-PR192062-default/2014-08-22_05h22m37s/logs/errors/libgksu-2.0.12_1.log
http://package18.nyi.freebsd.org/data/head-amd64-PR192062-default/2014-08-22_05h22m37s/logs/errors/refdb-0.9.9_5.log
http://package18.nyi.freebsd.org/data/head-amd64-PR192062-default/2014-08-22_05h22m37s/logs/errors/gal2-2.5.3_12.log
http://package18.nyi.freebsd.org/data/head-amd64-PR192062-default/2014-08-22_05h22m37s/logs/errors/bbrun-1.6_12.log
http://package18.nyi.freebsd.org/data/head-amd64-PR192062-default/2014-08-22_05h22m37s/logs/errors/gnome-applets-2.32.1.1_6.log
Comment 14 Tijl Coosemans freebsd_committer 2014-08-25 14:12:29 UTC
Created attachment 146255 [details]
binutils.ports.3

New ports patch.  I only modified broken ports so an incremental exp-run should be enough.
Comment 15 Antoine Brodin freebsd_committer 2014-08-26 09:46:48 UTC
Exp-run results on head@365864:

http://package18.nyi.freebsd.org/build.html?mastername=head-amd64-PR192062-default&build=2014-08-25_14h38m33s

There were 12 new failures:

+ {"origin"=>"deskutils/adesklets", "pkgname"=>"adesklets-0.6.1_9", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/bomns3", "pkgname"=>"bomns3-0.0.0", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/djgame2", "pkgname"=>"djgame2-3.2.0_3", "phase"=>"stage", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/ufoai", "pkgname"=>"ufoai-2.4_3", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"graphics/giram", "pkgname"=>"giram-0.3.5_17", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"multimedia/gmerlin", "pkgname"=>"gmerlin-1.2.0_5", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"polish/tleenx2", "pkgname"=>"pl-tleenx2-20040214_10", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"science/g3data", "pkgname"=>"g3data-1.5.3_5", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"security/scannedonly", "pkgname"=>"scannedonly-0.21", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"textproc/refdb", "pkgname"=>"refdb-0.9.9_5", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"x11/bbrun", "pkgname"=>"bbrun-1.6_12", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"x11/gnome-applets", "pkgname"=>"gnome-applets-2.32.1.1_6", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}

6 of those are going to expire soon (adesklets, bomns3, djgame2, g3data, scannedonly and refdb)

I verified that there was no regression on 91amd64 on the patched ports:
http://package18.nyi.freebsd.org/build.html?mastername=91amd64-default-PR192062&build=2014-08-26_06h05m57s

I think you can commit the ports part of the patch,  this will make the future patches smaller.

For ufoai,  there was an update yesterday so I relaunched the bulk at:

http://package18.nyi.freebsd.org/build.html?mastername=head-amd64-PR192062-default&build=2014-08-26_08h46m34s
Comment 16 commit-hook freebsd_committer 2014-08-26 14:06:51 UTC
A commit references this bug:

Author: tijl
Date: Tue Aug 26 14:06:24 UTC 2014
New revision: 366215
URL: http://svnweb.freebsd.org/changeset/ports/366215

Log:
  - Fix missing library problems when the linker enforces explicit linking

  PR:		192062
  Exp-run by:	antoine
  Approved by:	portmgr (antoine)

Changes:
  head/accessibility/gnopernicus/Makefile
  head/audio/gqradio/Makefile
  head/audio/jack-rack/Makefile
  head/audio/padevchooser/Makefile
  head/comms/kb/files/Makefile
  head/deskutils/fusenshi/Makefile
  head/deskutils/fusenshi/files/patch-src-Makefile
  head/deskutils/glabels/Makefile
  head/deskutils/gnome-main-menu/files/patch-configure
  head/deskutils/gtimer/Makefile
  head/deskutils/mdh/Makefile
  head/deskutils/multisync/Makefile
  head/deskutils/multisync/files/patch-src-Makefile.am
  head/deskutils/notecase/Makefile
  head/deskutils/notecase/files/patch-Makefile
  head/deskutils/notify-osd/Makefile
  head/deskutils/xfce4-notification-daemon/Makefile
  head/editors/codelite/files/patch-sdk_codelite_indexer_CMakeLists.txt
  head/editors/ghex/Makefile
  head/editors/madedit/Makefile
  head/emulators/jzintv/Makefile
  head/emulators/tilem/Makefile
  head/finance/grisbi/Makefile
  head/finance/xtrader/Makefile
  head/finance/xtrader/files/patch-Makefile.linux
  head/ftp/pureadmin/Makefile
  head/games/airstrike/Makefile
  head/games/asteroid/Makefile
  head/games/atanks/Makefile
  head/games/belooted/Makefile
  head/games/belooted/pkg-plist
  head/games/bitefusion/Makefile
  head/games/blokish/Makefile
  head/games/bomberclone/Makefile
  head/games/caph/Makefile
  head/games/construo/Makefile
  head/games/d2x-xl/Makefile
  head/games/defendguin/Makefile
  head/games/egoboo/files/patch-game-Makefile.unix
  head/games/frogatto/Makefile
  head/games/frogatto/files/patch-Makefile
  head/games/gillo/Makefile
  head/games/gillo/files/patch-Jamrules
  head/games/gillo/files/patch-src_Jamfile
  head/games/gnomebreakout/Makefile
  head/games/gnurobbo/Makefile
  head/games/goonies/Makefile
  head/games/goonies/files/patch-build-linux-Makefile
  head/games/holotz-castle/files/patch-src__Makefile
  head/games/lianliankan/Makefile
  head/games/lianliankan/files/patch-src__Makefile.am
  head/games/liquidwar/files/patch-src-Makefile.in
  head/games/lucidlife/Makefile
  head/games/luola/Makefile
  head/games/macopix/Makefile
  head/games/meritous/files/patch-Makefile
  head/games/monkeybubble/Makefile
  head/games/motogt/Makefile
  head/games/motogt/files/patch-src-Makefile.lnx
  head/games/naev/Makefile
  head/games/neverball/Makefile
  head/games/neverball/files/patch-Makefile
  head/games/noegnud-littlehack/files/noegnud-littlehack.patch
  head/games/noegnud-nethack/files/noegnud-nethack.patch
  head/games/noegnud-nethack-deet/files/noegnud-nethack-deet.patch
  head/games/noegnud-slashem/files/noegnud-slashem.patch
  head/games/nuclearchess/Makefile
  head/games/openjazz/files/patch-Makefile
  head/games/pacmanarena/Makefile
  head/games/phlipple/Makefile
  head/games/powermanga/Makefile
  head/games/simplevaders/Makefile
  head/games/thevalley/Makefile
  head/games/viruskiller/Makefile
  head/games/volleyball/Makefile
  head/games/vor/Makefile
  head/games/wargus/Makefile
  head/graphics/cfdg/files/patch-Makefile
  head/graphics/cinepaint/Makefile
  head/graphics/cinepaint/files/patch-app__Makefile.am
  head/graphics/cinepaint/files/patch-app__menus.c
  head/graphics/cinepaint/files/patch-lib__fl_i18n__Makefile.am
  head/graphics/cinepaint/files/patch-plug-ins__blur__Makefile.am
  head/graphics/cinepaint/files/patch-plug-ins__bracketing_to_hdr__Makefile.am
  head/graphics/cinepaint/files/patch-plug-ins__bracketing_to_hdr__jhead__Makefile.am
  head/graphics/cinepaint/files/patch-plug-ins__compose__Makefile.am
  head/graphics/cinepaint/files/patch-plug-ins__dbbrowser__Makefile.am
  head/graphics/cinepaint/files/patch-plug-ins__decompose__Makefile.am
  head/graphics/cinepaint/files/patch-plug-ins__dicom__Makefile.am
  head/graphics/cinepaint/files/patch-plug-ins__fits__Makefile.am
  head/graphics/cinepaint/files/patch-plug-ins__gbr__Makefile.am
  head/graphics/cinepaint/files/patch-plug-ins__hdr__Makefile.am
  head/graphics/cinepaint/files/patch-plug-ins__iff__Makefile.am
  head/graphics/cinepaint/files/patch-plug-ins__jpeg__Makefile.am
  head/graphics/cinepaint/files/patch-plug-ins__median__Makefile.am
  head/graphics/cinepaint/files/patch-plug-ins__minimum__Makefile.am
  head/graphics/cinepaint/files/patch-plug-ins__noisify__Makefile.am
  head/graphics/cinepaint/files/patch-plug-ins__openexr__Makefile.am
  head/graphics/cinepaint/files/patch-plug-ins__pdf__Makefile.am
  head/graphics/cinepaint/files/patch-plug-ins__pic__Makefile.am
  head/graphics/cinepaint/files/patch-plug-ins__png__Makefile.am
  head/graphics/cinepaint/files/patch-plug-ins__pnm__Makefile.am
  head/graphics/cinepaint/files/patch-plug-ins__psd_save__Makefile.am
  head/graphics/cinepaint/files/patch-plug-ins__screenshot__Makefile.am
  head/graphics/cinepaint/files/patch-plug-ins__sgi__Makefile.am
  head/graphics/cinepaint/files/patch-plug-ins__tga__Makefile.am
  head/graphics/cinepaint/files/patch-plug-ins__xwd__Makefile.am
  head/graphics/exiftran/files/Makefile.exiftran
  head/graphics/gimageview/Makefile
  head/graphics/gimp-wavelet-denoise-plugin/Makefile
  head/graphics/gimp-wavelet-sharpen-plugin/Makefile
  head/graphics/gpaint/Makefile
  head/graphics/gqview/Makefile
  head/graphics/inventor/Makefile
  head/graphics/inventor/files/patch-lib-GNUmakefile
  head/graphics/klatexformula/Makefile
  head/graphics/kudu/Makefile
  head/graphics/lprof-devel/files/patch-src-CMakeLists.txt
  head/graphics/nomacs/files/patch-CMakeLists.txt
  head/graphics/panoglview/Makefile
  head/graphics/pornview/Makefile
  head/graphics/reallyslick/Makefile
  head/graphics/rgbpaint/Makefile
  head/graphics/separate/Makefile
  head/graphics/vp/Makefile
  head/graphics/xzgv/Makefile
  head/japanese/im-ja/Makefile
  head/korean/gtkcomm/Makefile
  head/lang/cduce/Makefile
  head/mail/deforaos-mailer/Makefile
  head/mail/gnubiff/Makefile
  head/mail/mail-notification/files/patch-jbsrc-jb.c
  head/math/calcoo/Makefile
  head/math/goblin/Makefile
  head/math/qtiplot/files/build.conf
  head/math/qtiplot/files/patch-qtiplot__qtiplot.pro
  head/misc/wmcalendar/Makefile
  head/multimedia/aegisub/Makefile
  head/multimedia/ffmpeg2theora/Makefile
  head/multimedia/ffmpeg2theora/files/patch-SConstruct
  head/multimedia/gmerlin/Makefile
  head/multimedia/gmerlin/files/patch-configure
  head/multimedia/imagination/Makefile
  head/multimedia/imagination/files/patch-configure
  head/multimedia/mpeg4ip/Makefile
  head/multimedia/sabbu/Makefile
  head/multimedia/tvheadend/Makefile
  head/net/gnome-netstatus/Makefile
  head/net/omnitty/Makefile
  head/net/openvswitch/Makefile
  head/net/packter-agent/Makefile
  head/net/packter-agent/pkg-plist
  head/net/udt/Makefile
  head/net/udt/files/BSDmakefile
  head/net/vortex/Makefile
  head/net/wireshark/files/patch-Makefile.in
  head/net/wireshark/files/patch-epan_Makefile.in
  head/net-im/hotot/Makefile
  head/net-im/imspector/files/patch-Makefile
  head/net-im/imspector/pkg-plist
  head/net-im/vqcc-gtk/Makefile
  head/net-im/zephyr/files/patch-zhm__Makefile.in
  head/net-p2p/createtorrent/Makefile
  head/net-p2p/gtorrentviewer/Makefile
  head/net-p2p/gtorrentviewer/pkg-plist
  head/net-p2p/libbt/Makefile
  head/net-p2p/retroshare/Makefile
  head/net-p2p/retroshare/files/patch-retroshare-gui__src__retroshare-gui.pro
  head/net-p2p/retroshare/files/patch-retroshare-nogui__src__retroshare-nogui.pro
  head/polish/tleenx2/Makefile
  head/ports-mgmt/fbsdmon/Makefile
  head/print/ggv/Makefile
  head/print/ggv/files/
  head/print/ggv/pkg-plist
  head/print/gnome-cups-manager/Makefile
  head/print/photoprint/Makefile
  head/print/xfce4-print/Makefile
  head/science/chemtool/Makefile
  head/science/chemtool/files/patch-Makefile.in
  head/science/chemtool-devel/Makefile
  head/science/gsmc/Makefile
  head/science/medit/files/patch-makefile
  head/security/gnome-gpg/Makefile
  head/security/opensc/Makefile
  head/security/pkcs11-dump/Makefile
  head/security/rainbowcrack/Makefile
  head/security/tpm-tools/Makefile
  head/sysutils/battfink/Makefile
  head/sysutils/battfink/files/patch-configure
  head/sysutils/fusefs-encfs/Makefile
  head/sysutils/fusefs-rar2fs/Makefile
  head/sysutils/gapcmon/Makefile
  head/sysutils/gnome-system-tools/Makefile
  head/sysutils/gnome-system-tools/pkg-plist
  head/sysutils/gtk-imonc/Makefile
  head/sysutils/ldapvi/Makefile
  head/sysutils/libgksu/Makefile
  head/sysutils/libgksu/files/patch-libgksu_Makefile.in
  head/sysutils/nitrogen/Makefile
  head/sysutils/nvclock/Makefile
  head/sysutils/pcbsd-utils-qt4/Makefile
  head/sysutils/tracker-client/files/patch-src_tracker-applet_Makefile.in
  head/sysutils/xvidcap/Makefile
  head/textproc/fldiff/Makefile
  head/textproc/goldendict/Makefile
  head/www/blastbeat/Makefile
  head/www/gurlchecker/Makefile
  head/www/surf/Makefile
  head/x11/alltray/Makefile
  head/x11/bbrun/Makefile
  head/x11/bbrun/files/patch-Makefile
  head/x11/brightside/Makefile
  head/x11/fbpanel/Makefile
  head/x11/gnome-applets/Makefile
  head/x11/gnome-clipboard-daemon/Makefile
  head/x11/gnome-swallow/Makefile
  head/x11/gromit/Makefile
  head/x11/gromit/files/patch-Makefile
  head/x11/sbxkb/Makefile
  head/x11/simdock/Makefile
  head/x11/sisctrl/Makefile
  head/x11/stjerm/Makefile
  head/x11/wmcliphist/Makefile
  head/x11/wmcliphist/files/patch-Makefile
  head/x11-toolkits/gal2/Makefile
  head/x11-wm/devilspie/Makefile
  head/x11-wm/gcompmgr/Makefile
Comment 17 Antoine Brodin freebsd_committer 2014-08-26 18:54:07 UTC
ufoai now build successfully and i removed bomns3

this leaves 10 new failures,  5 of which are deprecated ports
Comment 18 Tijl Coosemans freebsd_committer 2014-08-26 19:48:14 UTC
Created attachment 146341 [details]
binutils.ports.4

graphics/giram built successfully in the latest run too
multimedia/gmerlin and x11/bbrun I had already fixed and it's included in r366215
polish/tleenx2 and x11/gnome-applets are included in this patch
Comment 19 Antoine Brodin freebsd_committer 2014-08-27 08:37:29 UTC
Last run at http://package18.nyi.freebsd.org/build.html?mastername=head-amd64-PR192062-default&build=2014-08-26_20h22m30s

6 new failures (5 deprecated ports):

+ {"origin"=>"deskutils/adesklets", "pkgname"=>"adesklets-0.6.1_9", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/djgame2", "pkgname"=>"djgame2-3.2.0_3", "phase"=>"stage", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"science/g3data", "pkgname"=>"g3data-1.5.3_5", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"security/scannedonly", "pkgname"=>"scannedonly-0.21", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"textproc/refdb", "pkgname"=>"refdb-0.9.9_6", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"x11/gnome-applets", "pkgname"=>"gnome-applets-2.32.1.1_6", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}

gnome-applets still failing:
http://package18.nyi.freebsd.org/data/head-amd64-PR192062-default/2014-08-26_20h22m30s/logs/errors/gnome-applets-2.32.1.1_6.log
Comment 20 commit-hook freebsd_committer 2014-08-27 10:06:59 UTC
A commit references this bug:

Author: tijl
Date: Wed Aug 27 10:06:11 UTC 2014
New revision: 366298
URL: http://svnweb.freebsd.org/changeset/ports/366298

Log:
  Fix missing library problem when the linker enforces explicit linking

  PR:		192062

Changes:
  head/polish/tleenx2/Makefile
Comment 21 Tijl Coosemans freebsd_committer 2014-08-27 10:30:34 UTC
(In reply to Antoine Brodin from comment #19)
> gnome-applets still failing:
> http://package18.nyi.freebsd.org/data/head-amd64-PR192062-default/2014-08-
> 26_20h22m30s/logs/errors/gnome-applets-2.32.1.1_6.log

It has several more places that require -lm.  I just added -Wl,--add-needed to LDFLAGS instead in r366299.

The polish/tleenx2 fix has been committed in r366298.

So everything should be ok now (default options at least).
Comment 22 Tijl Coosemans freebsd_committer 2014-08-27 18:50:18 UTC
Assign to Antoine for final approval.
Comment 23 Antoine Brodin freebsd_committer 2014-08-28 10:23:29 UTC
Approved, thanks
Comment 24 commit-hook freebsd_committer 2014-08-28 10:59:25 UTC
A commit references this bug:

Author: tijl
Date: Thu Aug 28 10:58:26 UTC 2014
New revision: 366393
URL: http://svnweb.freebsd.org/changeset/ports/366393

Log:
  Remove CONFIGURE_ARGS=--enable-explicit-deps.  This option adds
  dependencies to the Requires field in pkgconfig files that should only be
  needed with static linking and cause a lot of overlinking with shared
  linking.  They should be added to the Requires.private field instead, but
  since this port doesn't install any static libraries they can just be
  removed.

  The flag was added because several ports that depend on this port failed to
  link because of missing libraries when the linker enforced explicit
  linking.  The pkgconfig files in this port then provided the links.
  These ports have all been fixed now.

  PR:		192062
  Exp-run by:	antoine
  Approved by:	portmgr (antoine)

Changes:
  head/x11-toolkits/gtk20/Makefile
  head/x11-toolkits/pango/Makefile
Comment 25 commit-hook freebsd_committer 2014-08-28 18:33:50 UTC
A commit references this bug:

Author: tijl
Date: Thu Aug 28 18:33:42 UTC 2014
New revision: 270757
URL: http://svnweb.freebsd.org/changeset/base/270757

Log:
  In r253839 the default behaviour of ld(1) was changed such that all
  libraries that need to be linked into an executable or library have to be
  listed on the command line explicitly.  This commit fixes a bug in ld(1)
  where it would scan dependencies of the libraries on the command line and
  link them if needed if they were also found in ld.so.cache.

  The important bit of the patch is the initialisation of needed.by such that
  libraries found by scanning dependencies are marked as such and not used in
  the link.

  The patch is a backport of binutils git commit
  d5c8b1f8561426b41aa5330ed60f578178fe6be2

  The author gave permission to use it under GPLv2 terms.

  PR:		192062
  Exp-run by:	antoine
  MFC after:	1 week

Changes:
  head/contrib/binutils/ld/emultempl/elf32.em
Comment 26 commit-hook freebsd_committer 2014-09-04 16:05:57 UTC
A commit references this bug:

Author: tijl
Date: Thu Sep  4 16:05:12 UTC 2014
New revision: 271103
URL: http://svnweb.freebsd.org/changeset/base/271103

Log:
  MFC r270757:

  In r253839 the default behaviour of ld(1) was changed such that all
  libraries that need to be linked into an executable or library have to be
  listed on the command line explicitly.  This commit fixes a bug in ld(1)
  where it would scan dependencies of the libraries on the command line and
  link them if needed if they were also found in ld.so.cache.

  The important bit of the patch is the initialisation of needed.by such that
  libraries found by scanning dependencies are marked as such and not used in
  the link.

  The patch is a backport of binutils git commit
  d5c8b1f8561426b41aa5330ed60f578178fe6be2

  The author gave permission to use it under GPLv2 terms.

  PR:		192062

Changes:
_U  stable/10/
  stable/10/contrib/binutils/ld/emultempl/elf32.em